std::lock_guard< _Mutex > Class Template Reference
Mutexes

## Public Types

typedef _Mutex | mutex_type

## Public Member Functions

| lock_guard (mutex_type &__m)
| lock_guard (mutex_type &__m, adopt_lock_t)
| lock_guard (const lock_guard &)=delete
lock_guard & | operator= (const lock_guard &)=delete

## Detailed Description

### template<typename _Mutex>
class std::lock_guard< _Mutex >

Scoped lock idiom.

Definition at line 370 of file mutex.

The documentation for this class was generated from the following file:

- mutex